It will work.
There really aren't any "versions".
Buy the cheapest you can find.